Page MenuHomePhabricator

The RevisionSlider should abort dragging&dropping if a user presses ESC
Closed, ResolvedPublic

Description

Currently, if I start dragging&dropping in the revision slider, and at the same time I press the Esc key on my keyboard, nothing happens.

It would be nice if the Esc key could cancel the dragging&dropping, as acceptable on computers.

Related Objects

Mentioned In
rERSL4ed98516102f: Fix handling of escape key
rERSL6e4c2232f5b4: Fix handling of escape key
rERSL8af607c980fc: Fix handling of escape key
rERSLf754cd0c6bb4: Fix handling of escape key
rERSLc6acc0cfc604: Fix handling of escape key
rERSL734a35d7067d: Fix handling of escape key
rERSLb33ccef6a88a: Fix handling of escape key
rERSLd3b9dae6039d: Fix handling of escape key
rERSL4a66a4ac106e: Fix handling of escape key
rERSL2212abb2712d: Fix handling of escape key
rERSL4ef2519bcca1: Fix handling of escape key
rERSLed988dc9a66b: Introduce ESC key detection during dragging RevisionSlider
rERSLb169f6237a3d: Introduce ESC key detection during dragging RevisionSlider
rERSL7ed3755cb74a: Introduce ESC key detection during dragging RevisionSlider
rERSL6d12816a5a5e: Introduce ESC key detection during dragging RevisionSlider
rERSL8a325bed2bb2: Introduce ESC key detection during dragging RevisionSlider
rERSL6a0d9e5e7ecd: Introduce ESC key detection during dragging RevisionSlider
rERSL480a37d18f7e: Introduce ESC key detection during dragging RevisionSlider
rERSL7c5e22c1f85b: Introduce ESC key detection during dragging RevisionSlider
rERSLf1d7f314eaea: Introduce ESC key detection during dragging RevisionSlider
rERSLd6d1ff93617a: Introduce ESC key detection during dragging RevisionSlider
rERSL63e54addabab: Introduce ESC key detection during dragging RevisionSlider
rERSL42c528fe5f16: Introduce ESC key detection during dragging RevisionSlider
rERSL33e83211f963: Introduce ESC key detection during dragging
rERSL2254c18104be: Introduce ESC key detection during dragging RevisionSlider
rERSLc98aa16e31a9: Introduces ESC key detection during dragging
rERSL2eea144e77a8: Introduces ESC key detection during dragging

Event Timeline

Guycn2 created this task.Jul 21 2016, 3:16 AM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJul 21 2016, 3:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE moved this task from Incoming to Backlog on the Revision-Slider board.Aug 2 2016, 9:47 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 26 2016, 3:01 PM

Change 325823 had a related patch set uploaded (by Pppery):
Introduces ESC key detection during dragging

https://gerrit.wikimedia.org/r/325823

Tobi_WMDE_SW added a project: WMDE-QWERTY-Team.
Tobi_WMDE_SW moved this task from Proposed to Currently in sprint on the WMDE-QWERTY-Team board.
Tobi_WMDE_SW moved this task from Backlog to Doing on the Revision-Slider board.Jan 10 2017, 10:45 AM

In the current version of the proposed patch, when aborting the process at least more then once, the pointer randomly returns to a slightly different position then intended. See the video below.

in the second attempt the pointer returns to a position is (very) slightly above the original place. In the third attempt it returns to a position below. It seems to be random how big the misplacement is. Sometimes its more above, sometimes more below, sometimes its happening on the X-Axis.

I could just confirm, that this seems to be a bug in jquery.ui.draggable. Core is using 1.9.2 at the moment and the bug is fixed starting with 1.11.4.

As already mentioned upgrading the libs in core is not trivial, since there might be breaking changes with other parts of the code or other extensions using them. The only alternative would be re-positioning the pointers when they return to their original place.

Change 333224 had a related patch set uploaded (by WMDE-Fisch):
Fix positioning error with draggable, revert and grid

https://gerrit.wikimedia.org/r/333224

Change 333224 merged by jenkins-bot:
Fix positioning error with draggable, revert and grid

https://gerrit.wikimedia.org/r/333224

Change 325823 merged by jenkins-bot:
Introduce ESC key detection during dragging RevisionSlider

https://gerrit.wikimedia.org/r/325823

Addshore closed this task as Resolved.Jan 31 2017, 12:59 PM
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Jan 31 2017, 3:19 PM
Tobi_WMDE_SW moved this task from Doing to Done on the Revision-Slider board.Feb 6 2017, 10:24 AM
Pppery reopened this task as Open.May 18 2017, 1:29 AM

This doesn't seem to work anymore. Instead, pressing ESC has the same affect as letting go of the mouse, which changes the position of the pointers.

Change 354175 had a related patch set uploaded (by Pppery; owner: Pppery):
[mediawiki/extensions/RevisionSlider@master] Fix handling of escape key

https://gerrit.wikimedia.org/r/354175

Change 354175 had a related patch set uploaded (by Pppery; owner: Pppery):
[mediawiki/extensions/RevisionSlider@master] Fix handling of escape key

https://gerrit.wikimedia.org/r/354175

Pppery moved this task from Done to Incoming on the Revision-Slider board.May 18 2017, 10:56 PM
Pppery moved this task from Demoed to Proposed on the WMDE-QWERTY-Team board.
Lea_WMDE moved this task from Incoming to Doing on the Revision-Slider board.May 20 2017, 6:48 AM
WMDE-Fisch moved this task from Proposed to Done on the WMDE-QWERTY-Team board.May 23 2017, 12:42 PM

Change 354175 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Fix handling of escape key

https://gerrit.wikimedia.org/r/354175

Pppery closed this task as Resolved.May 23 2017, 7:05 PM

One more bug fixed - again

Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Jun 6 2017, 2:31 PM